Známý problém aktualizace zabezpečení 3098779 a 3097997 pro rozhraní.NET Framework 4.5.1 a 4.5.2 po instalaci 4.6 rozhraní.NET Framework Windows 8.1 8.1 RT systému Windows a Windows Server 2012 R2

DŮLEŽITÉ: Tento článek je přeložen pomocí softwaru na strojový překlad Microsoft. Nepřesný či chybný překlad lze opravit prostřednictvím technologie Community Translation Framework (CTF). Microsoft nabízí strojově přeložené, komunitou dodatečně upravované články, a články přeložené lidmi s cílem zajistit přístup ke všem článkům v naší znalostní bázi ve více jazycích. Strojově přeložené a dodatečně upravované články mohou obsahovat chyby ve slovníku, syntaxi a gramatice. Společnost Microsoft není odpovědná za jakékoliv nepřesnosti, chyby nebo škody způsobené nesprávným překladem obsahu nebo jeho použitím našimi zákazníky. Více o CTF naleznete na http://support.microsoft.com/gp/machine-translation-corrections/cs.

Projděte si také anglickou verzi článku: 3118750
Souhrn
Zákazníci, který inovujete rozhraní.NET Framework 4.5.1 a 4.5.2 4.6 rozhraní.NET Framework nebo který Visual Studio 2015 instalaci po instalaci aktualizace 3098779 a 3097997 může dojít k problémům při spuštění aplikací rozhraní.NET Framework.

Zákazníci, kteří používají systém, který má rozhraní.NET Framework k Microsoft 4.6 nainstalován a kdo ručně použít aktualizace zabezpečení 3098779 a 3097997 pro rozhraní.NET Framework k Microsoft 4.5.1 a 4.5.2 na Windows 8.1 8.1 RT systému Windows a Windows Server 2012 R2 mohou také vyskytnout problémy při spuštění aplikací rozhraní.NET Framework.

Poznámka: Starších operačních systémů, které mají rozhraní.NET Framework 4.5.1 a 4.5.2 nainstalován nejsou ovlivněny tento problém, protože aktualizace zabezpečení 3098779 a 3097997 na ně neplatí.
Příznaky

Scénář 1

  • 8.1 pro systém Windows, 8.1 RT systému Windows nebo Windows Server 2012 R2 používáte rozhraní.NET Framework 4.5.1 a 4.5.2.
  • Nainstalovali jste všechny nejnovější aktualizace pro rozhraní.NET Framework 4.5.1 a 4.5.2. To zahrnuje aktualizace 3098779 a 3097997.
  • Stažení a instalace rozhraní.NET Framework 4.6 nebo nainstalujte aplikaci Microsoft Visual Studio 2015.
V tomto scénáři některé součásti 4.6 rozhraní.NET Framework nejsou upgradovány podle očekávání nebo se nespustí některé aplikace rozhraní.NET Framework nebo nespustí správně.

Scénář 2

  • 8.1 pro systém Windows, 8.1 RT systému Windows nebo Windows Server 2012 R2 používáte 4.6 rozhraní.NET Framework.
  • Ručně nainstalovat aktualizace 3098779 a 3097997 nebo jakékoli aktualizace, které nejsou určeny pro 4.6 rozhraní.NET Framework, i když tyto aktualizace jsou určeny pro rozhraní.NET Framework 4.5.1 a 4.5.2.

    Poznámka:Toto je nepodporovaný scénář. Další informace o určení správného používání pro aktualizaci Microsoft rozhraní.NET Framework naleznete v tématu Microsoft Knowledge Base v článku 3136092.
V tomto scénáři některé aplikace rozhraní.NET Framework, nelze spustit nebo nepracují správně.
Řešení

Řešení pro scénář 1

Zákazníky lze vyřešit tyto problémy upgradu na rozhraní.NET Framework 4.6.1 z následujících webů společnosti Microsoft Download Center:

Také zákazníkům odinstalovat aktualizace 3098779 a 3097997 jejich systémů přešli na 4.6 rozhraní.NET Framework nebo jste nainstalovali Visual Studio 2015 z plně aktualizované rozhraní .NET 4.5.1 a 4.5.2 systému s nainstalovanou aktualizací 3098779 a 3097997 nainstalován.

Zákazníci by potom prohledání služby Windows Update a stáhněte a nainstalujte aktualizace 3098785 a 3098000. Jedná se o odpovídající Bulletin zabezpečení společnosti Microsoft MS15-118 aktualizace pro 4.6 rozhraní.NET Framework na Windows 8.1 8.1 RT systému Windows a Windows Server 2012 R2. Tato akce bude opravit verze se neshodují.

Řešení pro scénář 2

Zákazníci, kteří ručně nainstalovat aktualizace 3098779 a 3097997 v systémech, které mají 4.6 rozhraní.NET Framework nainstalována, je třeba si uvědomit, že to není podporováno. Tyto aktualizace nelze použít u 4.6 rozhraní.NET Framework.

Zákazníci, kteří používají 4.6 rozhraní.NET Framework by měl tedy odinstalovat aktualizace 3098779 a 3097997. Zákazníci by potom prohledání služby Windows Update a instalovat pouze aktualizace, které se vztahují k 4.6 rozhraní.NET Framework. Tato akce bude opravit verze se neshodují.

Similarly, customers who are using the .NET 4.5.1 or 4.5.2 should make sure that there are no updates that are applicable to any other .NET Framework version installed on their systems. For example, updates that are intended for the .NET Framework 4.6 should not be applied to systems that have the .NET 4.5.1 or 4.5.2 installed. Další informace o tom, na určení správné aplikace aktualizací rozhraní.NET Framework k Microsoft 4.6 a 4.6.1 Base v článku seeMicrosoftKnowledge 3136092.
Prohlášení
Společnost Microsoft potvrdila, že se jedná o problém v produktech společnosti Microsoft, které jsou uvedeny v části "Platí pro".

Platí pro

Tento článek se týká následujících akcí:

  • Rozhraní.NET Framework k Microsoft 4.6 při použití:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
  • Microsoft rozhraní.NET Framework 4.5.2 při použití:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
  • Microsoft rozhraní.NET Framework 4.5.1 při použití v systémech:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1

Upozornění: Tento článek je přeložený automaticky

Vlastnosti

ID článku: 3118750 - Poslední kontrola: 01/15/2016 01:11:00 - Revize: 4.0

Microsoft .NET Framework 4.6, Microsoft .NET Framework 4.5.2, Microsoft .NET Framework 4.5.1

  • atdownload kbbug kbexpertiseinter kbfix kbsecbulletin kbsecurity kbsecvulnerability kbmt KB3118750 KbMtcs
Váš názor